Assign allowed address pairs for instance port
Instances
Assign allowed address pairs for instance port
deprecated
Deprecated. Use PATCH /v1/ports/// instead.
PUT
Assign allowed address pairs for instance port
Documentation Index
Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Port ID
Example:
"1f0ca628-a73b-42c0-bdac-7b10d023e097"
Body
application/json
A set of zero or more allowed port address pair and/or subnet masks
Maximum array length:
10Example:
[
{
"ip_address": "192.168.123.20",
"mac_address": "00:16:3e:f2:87:16"
},
{
"ip_address": "192.168.0.0/17",
"mac_address": "00:16:3e:f2:87:89"
}
]Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]